Name:          jackcess
Version:       2.1.2
Release:       2%{?dist}
Summary:       Java library for reading from and writing to MS Access databases
License:       ASL 2.0
URL:           http://jackcess.sourceforge.net/
# svn checkout http://svn.code.sf.net/p/jackcess/code/jackcess/tags/jackcess-2.1.2
# tar cJf jackcess-2.1.2.tar.xz jackcess-2.1.2
Source0:       %{name}-%{version}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:12)
BuildRequires: mvn(org.apache.poi:poi)

BuildArch:     noarch

%description
Jackcess is a pure Java library for reading from and
writing to MS Access databases (currently supporting
versions 2000-2013).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

# com.healthmarketscience:openhms-parent:1.1.1
%pom_remove_parent
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :maven-changes-plugin
%pom_xpath_set "pom:dependency[pom:groupId='log4j']/pom:version" 12

%mvn_file :%{name} %{name}
%mvn_file :%{name}-tests::tests: %{name}-tests
%mvn_package :::tests:

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc TODO.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Sep 03 2015 gil cattaneo <puntogil@libero.it> 2.1.2-1
- initial rpm
